Subject: flowering venus fly trap

From: [email-masked] (Joseph W. Bausch)
Date: 6 May 1995 14:57:40 GMT

Hi, I just popped into this newsgroup recently.  I was wondering what
is known about the flowering of a venus fly trap.  I have had my VFT for over
2 years now and it has recently flowered.  They are white in color and really
quite pretty.  I am wondering how often the VFT flowers and will these flowers
lead to seeds?  I would love to be able to have a few more VFT's around as
they are really neat as plants go!

Thanks for your help,
JWB
-------